Subject: Re: IANA document allocation

From: Stewart Bryant <[email-masked]>
Date: Wed, 15 Dec 2004 14:31:25 +0000

I agree with the change that Thomas is proposing

Stewart

Luca Martini wrote:

> WG,
> 
> Thomas Narten, our sponsoring AD, has asked me to change the IANA 
> allocation document to reflect only two kind of allocations:
> IETF consensus , and Expert review.
> 
> This means that I would remove the first come first served ranges, and 
> the vendor specific ranges that are currently defined in the documents.
> 
> My personal opinion is that this is a good change as , "the expert" , 
> can probably still respond quickly ( as opposed to an IETF consensus 
> process ), yet can make sure that there is a good clear description and 
> application for the allocated values.
> 
> I would like to hear from the WG if there are any strong opinions about 
> this change to the IANA allocation documents.
> 
> Thanks.
> Luca
> 
> 
> 
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
> 
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 15 Dec 2004 10:59:52 -0500

Yes, I do have a strong feeling about this.  As a prior "victim" of the 
IANA expert review process, it needs to work much better in practice than 
it has in the past in order for this to be practical.  How are the 
following issues to be addressed:

- Naming the expert or experts

- Replacing the experts following retirement, death, boredom, WG shutdown, etc.

- Assuring timely response from the experts, who after all are volunteers 
and presumably have revenue responsibilities

I would also like to hear more about the supposed evils of FCFS registry 
ranges.  There are many existing IANA registries with FCFS ranges.  Are 
there problems associated with these registries?

Thanks,
Andy

-----------

At 12/15/2004 02:31 PM +0000, Stewart Bryant wrote:

>>My personal opinion is that this is a good change as , "the expert" , can 
>>probably still respond quickly ( as opposed to an IETF consensus process 
>>), yet can make sure that there is a good clear description and

---

From: Eric Rosen <[email-masked]>
Date: Thu, 16 Dec 2004 10:56:39 -0500

> the vendor specific ranges that are currently defined in the documents. 

I strongly oppose this change. 

The FCFS range is there for a valid reason.  Eliminating it merely increases
the  political power  of the  IESG to  suppress innovation,  and  that would
certainly be a move in the wrong direction. 

I also agree with Andy's arguments that the change is not practical.

---

From: Thomas Narten <[email-masked]>
Date: Fri, 17 Dec 2004 14:47:08 -0500

> IETF consensus , and Expert review.

Well, I wouldn't put it quite this way... At the IETF meeting, I had a
conversation with the chairs after having skimmed the IANA
document. What is currently in the document made little sense
(IMO). E.g., it mentions "vendor-specific" ranges, but I don't know
what that means. And stuff like:

     PW Type values 1 through 63 are to be assigned by IANA using the
     "IETF Consensus" policy defined in RFC2434. PW Type values 64
     through 127 are to be assigned by IANA,

also made little sense to me. What is the point of having an "IETF
Consensus" range if one could also just get a code point via FCFS?

After some discussion, we came around to "expert review" providing the
most reasonable balance between "some review needed, to prevent
completely bogus assignments" vs. "expert can quickly say OK for
reasonable requests".

In anycase, I think the WG should discuss and decide what the right
thing to do here is.

Indeed, one of the things that might be good to have words about in
the IANA document (if Expert Review is chosen) is what type of
requests are expected to be approved, and what sort of review is
needed prior to granting a request.

Thomas